#ifndef __USE_Room_H__
#define __USE_Room_H__
#include "com_room.h"

class Use_Room :public Com_Room
{
public:
	Q_OBJECT
public:
	 Use_Room(QWidget *parent = 0);
	~Use_Room();
protected: // c or cpp api imp
	bool   roomIsInit() const { return 0 != room_; }
	void   modulesAttach();
	Result api_joinRoom(const char* roomId, const char* userId, const char* userName, const char* userData);
	void   api_leaveRoom();
	bool   api_isWorking() const;
	Result api_enableStats(bool enable);
	rtc::NetworkStats getRoomNetStats() const;

private:
	rtc::IRoom* room_;
};

#endif //__USE_Room_H__
